package com.neusoft.smart.pos.device.constants;


import com.neusoft.smart.pos.framework.constants.CommonCode;

public enum DeviceErrorCode implements CommonCode {
	
	DEVICE_DUPLICATE("03001", "设备序列号/mac地址/设备名称有重复"),
	FILE_TYPE_ERROR("03002", "文件类型不正确"),
	EMPTY_EXCEL("03003", "excel内容为空"),
	PARSE_EXCEL_ERROR("03004", "解析文件错误"),
	LOAD_REDIS_ERROR("03005", "从数据库导入redis数据错误"),
	DEVICE_NOT_FOUND_ERROR("03006", "设备不存在"),
	CONFIG_STRATEGY_NAME_DUPLICATE("03007", "配置策略名称重复"),
	CONFIG_STRATEGY_NOT_FOUNT("03008", "请输入正确策略id"),
	DEVICE_BATCH_CREATE_ERROR("03009", "设备批量导入有失败数据"),
	VERSION_FORMAT_ERROR("03010", "版本格式错误"),
	DEVICE_SN_EMPTY("03011", "设备sn不能为空"),
	DEVICE_AUTH_LICENCE_EMPTY("03012", "设备授权许可信息不存在"),
	APP_ID_EMPTY("03013", "应用ID不能为空"),
	APP_PROJECT_CONFIG_EMPTY("03014", "应用配置信息不存在"),
	;
	
	private String code;
	
	private String message;
	
	DeviceErrorCode(String code, String message) {
		this.code = code;
		this.message = message;
	}
	
	public String getCode() {
		return code;
	}
	
	public void setCode(String code) {
		this.code = code;
	}
	
	public String getMessage() {
		return message;
	}
	
	public void setMessage(String message) {
		this.message = message;
	}
	
}
